//===フォーカスアウト
$(document).on("change", ".eventcucd", function (e) {
  var me = $(this);
  if (e.bubbles == false) {
    return false;
  }
  var grp = $(this).closest(".cucdGrp");

  // 直近の１つ
  var cucd = grp.find(".cucd")[0];
  var cunm = grp.find(".cunm")[0];
  var retcucd = grp.find(".retcucd")[0];

  if(cunm != null){  //undefindじゃない
    common.setValue($(cunm), "");
  }
  if(retcucd != null){  //undefindじゃない  得意先マスタ用
    common.setValue($(retcucd), "");
  }

  var $stpflg = $(this).data("stpflg"); //0=廃止可(デフォルト) 1=廃止可 2=マスタ無し可能
  if(!stringUtil.isValid($stpflg)) {
    $stpflg = '0';
  }

  var $cntchk = $(this).data("cntchk"); //1=マスタチェック不要
  if(!stringUtil.isValid($cntchk)) {
    $cntchk = '0';
  }

  common.clearError(me);
  common.changeVal(me);

  if ($(this).val() == "") {
    me.trigger("clearChangeCucd", "");
    return true;
  }

  /*
  複数検索テストでコメントアウト 後で消す！！！！！ か、いい感じにする
  if(!me.hasClass("nolpad")) {
    let mlen = $(this).attr("maxlength");
    common.setValue($(this), stringUtil.lpadStr( common.getValue( $(this)), mlen, "0" )  );
  }
  */

  var me = $(this);

  var sendData = {};

  sendData["tblnm"] = "afm03";
  sendData["cucd"] = common.getValue(cucd);
  sendData["stpflg"] = $stpflg;
  sendData["cntchk"] = $cntchk;

  common.postData(
    common.getApiUrl() + "getMstNm.php"
    , sendData
    , function (data) {
      // 特殊処理があれば
      var obj = JSON.parse(data);

      if($(cucd).val != obj.cucd) { //返ってきたコードを埋める？
        common.setValue($(cucd), obj.cucd);
      }
      if($(retcucd).val != obj.retcucd) { //返ってきたコードを埋める？
        common.setValue($(retcucd), obj.retcucd);
      }

      if(cunm != null) {  //undefindじゃない
        common.setValue($(cunm), obj.cunm);
      }

      if (me.attr("regSuccess")) {
        me.trigger("regSuccess", obj);
      }
      me.trigger("afterChangeCucd", data);
    }
    , function (error) {
      if (me.attr("regError")) {
        $(me).val("");
        $(me).trigger("regError", [error, $(me)]);
      } else {
        if(error.ret == '-2') {
          $(me).data("multiCucd",'1');
          $(me).trigger("openAfm03x1");
        } else {
          $(me).val("");
          common.addError($(me), error.msg, null);
          me.trigger("errChangeCucd", error.msg);
        }
      }
      $(me).focus();
    }
  );

  return false;
});
